/***********************************************************************
	gutenfetch - query and fetch electronic texts from project gutenberg
    Copyright (C) 2001, 2002, 2003 Russell Francis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
	USA

	Last updated on $Date: 2003/11/19 00:25:08 $ by $Author: johntabularasa $.
***********************************************************************/
#ifndef UTIL_H
#define UTIL_H
#include "stddefs.h"
#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

	char * util_strcat(char *, ...);
	char * util_getline(FILE *);
	char * util_gethomedir(void);
#ifndef HAVE_STRSEP
	char *	strsep(char **, const char *);
#endif /* HAVE_STRSEP */
#ifndef HAVE_MERGESORT
	int mergesort(void *, size_t, size_t, int (*)(const void *, const void*));
#endif /* HAVE_MERGESORT */	

#ifdef __cplusplus
}
#endif

#endif /* UTIL_H */
